-- VHDL netlist-file
library mach;
use mach.components.all;

library ieee;
use ieee.std_logic_1164.all;
entity ampel is
  port (
    takt : in std_logic;
    r1 : out std_logic;
    gl1 : out std_logic;
    g1 : out std_logic;
    r2 : out std_logic;
    gl2 : out std_logic;
    g2 : out std_logic;
    rF : out std_logic;
    gF : out std_logic
  );
end ampel;

architecture NetList of ampel is

  signal taktPIN : std_logic;
  signal r1Q : std_logic;
  signal gl1Q : std_logic;
  signal g1Q : std_logic;
  signal r2Q : std_logic;
  signal gl2Q : std_logic;
  signal g2Q : std_logic;
  signal rFQ : std_logic;
  signal gFQ : std_logic;
  signal X0Q : std_logic;
  signal X1Q : std_logic;
  signal X2Q : std_logic;
  signal X3Q : std_logic;
  signal X4Q : std_logic;
  signal r1_D : std_logic;
  signal gl1_D : std_logic;
  signal g1_D : std_logic;
  signal r2_D : std_logic;
  signal gl2_D : std_logic;
  signal g2_D : std_logic;
  signal rF_D : std_logic;
  signal gF_D : std_logic;
  signal X1_D : std_logic;
  signal X2_D : std_logic;
  signal X3_D : std_logic;
  signal X4_D : std_logic;
  signal T_0 : std_logic;
  signal T_1 : std_logic;
  signal T_2 : std_logic;
  signal T_3 : std_logic;
  signal T_4 : std_logic;
  signal T_5 : std_logic;
  signal T_6 : std_logic;
  signal T_7 : std_logic;
  signal T_8 : std_logic;
  signal T_9 : std_logic;
  signal T_10 : std_logic;
  signal T_11 : std_logic;
  signal T_12 : std_logic;
  signal T_13 : std_logic;
  signal T_14 : std_logic;
  signal T_15 : std_logic;
  signal T_16 : std_logic;
  signal T_17 : std_logic;
  signal T_18 : std_logic;
  signal T_19 : std_logic;
  signal T_20 : std_logic;
  signal T_21 : std_logic;
  signal T_22 : std_logic;
  signal T_23 : std_logic;
  signal T_24 : std_logic;
  signal T_25 : std_logic;
  signal T_26 : std_logic;
  signal T_27 : std_logic;
  signal T_28 : std_logic;
  signal T_29 : std_logic;
  signal T_30 : std_logic;
  signal T_31 : std_logic;
  signal T_32 : std_logic;
  signal T_33 : std_logic;
  signal T_34 : std_logic;
  signal T_35 : std_logic;
  signal T_36 : std_logic;
  signal T_37 : std_logic;
  signal T_38 : std_logic;
  signal T_39 : std_logic;
  signal T_40 : std_logic;
  signal T_41 : std_logic;
  signal T_42 : std_logic;
  signal T_43 : std_logic;
  signal T_44 : std_logic;
  signal T_45 : std_logic;
  signal T_46 : std_logic;
  signal T_47 : std_logic;
  signal T_48 : std_logic;
  signal T_49 : std_logic;
  signal T_50 : std_logic;
  signal T_51 : std_logic;
  signal T_52 : std_logic;
  signal T_53 : std_logic;
  signal T_54 : std_logic;
  signal T_55 : std_logic;
  signal T_56 : std_logic;
  signal T_57 : std_logic;
  signal T_58 : std_logic;
  signal T_59 : std_logic;
  signal T_60 : std_logic;
  signal T_61 : std_logic;
  signal T_62 : std_logic;
  signal T_63 : std_logic;
  signal T_64 : std_logic;
  signal T_65 : std_logic;
  signal T_66 : std_logic;
  signal T_67 : std_logic;
  signal T_68 : std_logic;
  signal T_69 : std_logic;
  signal T_70 : std_logic;
  signal T_71 : std_logic;
  signal T_72 : std_logic;
  signal T_73 : std_logic;
  signal T_74 : std_logic;
  signal T_75 : std_logic;
  signal T_76 : std_logic;
  signal T_77 : std_logic;
  signal T_78 : std_logic;
  signal T_79 : std_logic;
  signal T_80 : std_logic;
  signal T_81 : std_logic;
  signal T_82 : std_logic;
  signal T_83 : std_logic;
  signal T_84 : std_logic;
  signal T_85 : std_logic;
  signal T_86 : std_logic;
  signal T_87 : std_logic;
  signal T_88 : std_logic;
  signal T_89 : std_logic;
  signal T_90 : std_logic;
  signal T_91 : std_logic;
  signal T_92 : std_logic;
  signal T_93 : std_logic;
  signal T_94 : std_logic;
  signal T_95 : std_logic;
  signal T_96 : std_logic;
  signal T_97 : std_logic;
  signal T_98 : std_logic;
  signal T_99 : std_logic;
  signal T_100 : std_logic;
  signal T_101 : std_logic;
  signal T_102 : std_logic;
  signal T_103 : std_logic;
  signal T_104 : std_logic;
  signal T_105 : std_logic;
  signal T_106 : std_logic;
  signal T_107 : std_logic;
  signal T_108 : std_logic;
  signal T_109 : std_logic;
  signal T_110 : std_logic;
  signal T_111 : std_logic;
  signal T_112 : std_logic;
  signal T_113 : std_logic;
  signal T_114 : std_logic;
  signal T_115 : std_logic;
  signal T_116 : std_logic;
  signal T_117 : std_logic;
  signal T_118 : std_logic;
  signal T_119 : std_logic;
  signal T_120 : std_logic;
  signal T_121 : std_logic;
  signal T_122 : std_logic;
  signal T_123 : std_logic;
  signal T_124 : std_logic;
  signal T_125 : std_logic;
  signal T_126 : std_logic;
  signal T_127 : std_logic;
  signal T_128 : std_logic;
  signal T_129 : std_logic;
  signal T_130 : std_logic;
  signal T_131 : std_logic;
  signal T_132 : std_logic;
  signal T_133 : std_logic;
  signal T_134 : std_logic;
  signal T_135 : std_logic;
  signal T_136 : std_logic;
  signal T_137 : std_logic;
  signal T_138 : std_logic;
  signal T_139 : std_logic;
  signal T_140 : std_logic;
  signal T_141 : std_logic;
  signal T_142 : std_logic;
  signal T_143 : std_logic;
  signal T_144 : std_logic;
  signal T_145 : std_logic;
  signal T_146 : std_logic;
  signal T_147 : std_logic;
  signal T_148 : std_logic;
  signal T_149 : std_logic;
  signal T_150 : std_logic;
  signal T_151 : std_logic;
  signal T_152 : std_logic;
  signal T_153 : std_logic;
  signal T_154 : std_logic;
  signal T_155 : std_logic;
  signal T_156 : std_logic;
  signal T_157 : std_logic;
  signal T_158 : std_logic;
  signal T_159 : std_logic;
  signal T_160 : std_logic;
  signal T_161 : std_logic;
  signal T_162 : std_logic;
  signal T_163 : std_logic;
  signal T_164 : std_logic;
  signal T_165 : std_logic;
  signal T_166 : std_logic;
  signal T_167 : std_logic;
  signal T_168 : std_logic;
  signal T_169 : std_logic;
  signal T_170 : std_logic;
  signal T_171 : std_logic;
  signal T_172 : std_logic;
  signal T_173 : std_logic;
  signal T_174 : std_logic;
  signal T_175 : std_logic;
  signal T_176 : std_logic;
  signal T_177 : std_logic;
  signal T_178 : std_logic;
  signal T_179 : std_logic;
  signal T_180 : std_logic;
  signal T_181 : std_logic;
  signal T_182 : std_logic;
  signal T_183 : std_logic;
  signal T_184 : std_logic;
  signal T_185 : std_logic;
  signal T_186 : std_logic;
  signal T_187 : std_logic;
  signal T_188 : std_logic;
  signal T_189 : std_logic;
  signal T_190 : std_logic;
  signal T_191 : std_logic;
  signal T_192 : std_logic;
  signal T_193 : std_logic;
  signal T_194 : std_logic;
  signal T_195 : std_logic;
  signal T_196 : std_logic;
  signal T_197 : std_logic;
  signal T_198 : std_logic;
  signal T_199 : std_logic;
  signal T_200 : std_logic;
  signal T_201 : std_logic;
  signal T_202 : std_logic;
  signal T_203 : std_logic;
  signal T_204 : std_logic;
  signal T_205 : std_logic;
  signal T_206 : std_logic;
  signal T_207 : std_logic;
  signal T_208 : std_logic;
  signal T_209 : std_logic;
  signal T_210 : std_logic;
  signal T_211 : std_logic;
  signal T_212 : std_logic;
  signal T_213 : std_logic;
  signal T_214 : std_logic;
  signal T_215 : std_logic;
  signal T_216 : std_logic;
  signal T_217 : std_logic;
  signal T_218 : std_logic;
  signal T_219 : std_logic;
  signal T_220 : std_logic;
  signal T_221 : std_logic;
  signal T_222 : std_logic;
  signal T_223 : std_logic;
  signal T_224 : std_logic;
  signal T_225 : std_logic;
  signal T_226 : std_logic;
  signal T_227 : std_logic;
  signal T_228 : std_logic;
  signal T_229 : std_logic;
  signal T_230 : std_logic;
  signal T_231 : std_logic;
  signal T_232 : std_logic;
  signal T_233 : std_logic;
  signal T_234 : std_logic;
  signal T_235 : std_logic;
  signal T_236 : std_logic;
  signal T_237 : std_logic;
  signal T_238 : std_logic;
  signal T_239 : std_logic;
  signal T_240 : std_logic;
  signal T_241 : std_logic;
  signal T_242 : std_logic;
  signal T_243 : std_logic;
  signal T_244 : std_logic;
  signal T_245 : std_logic;
  signal T_246 : std_logic;
  signal T_247 : std_logic;
  signal T_248 : std_logic;
  signal T_249 : std_logic;
  signal T_250 : std_logic;
  signal T_251 : std_logic;
  signal T_252 : std_logic;
  signal T_253 : std_logic;
  signal T_254 : std_logic;
  signal T_255 : std_logic;
  signal T_256 : std_logic;
  signal T_257 : std_logic;
  signal T_258 : std_logic;
  signal T_259 : std_logic;
  signal T_260 : std_logic;
  signal T_261 : std_logic;
  signal T_262 : std_logic;
  signal T_263 : std_logic;
  signal T_264 : std_logic;
  signal T_265 : std_logic;
  signal T_266 : std_logic;
  signal T_267 : std_logic;
  signal T_268 : std_logic;
  signal T_269 : std_logic;
  signal T_270 : std_logic;
  signal T_271 : std_logic;
  signal T_272 : std_logic;
  signal T_273 : std_logic;
  signal T_274 : std_logic;
  signal T_275 : std_logic;
  signal T_276 : std_logic;
  signal T_277 : std_logic;
  signal T_278 : std_logic;
  signal T_279 : std_logic;
  signal T_280 : std_logic;
  signal T_281 : std_logic;
  signal T_282 : std_logic;
  signal T_283 : std_logic;
  signal T_284 : std_logic;
  signal T_285 : std_logic;
  signal T_286 : std_logic;
  signal T_287 : std_logic;
  signal T_288 : std_logic;
  signal T_289 : std_logic;
  signal GND_net : std_logic;
  signal GATE_T_0_A : std_logic;
  signal GATE_T_1_A : std_logic;
  signal GATE_T_6_A : std_logic;
  signal GATE_T_7_A : std_logic;
  signal GATE_T_8_A : std_logic;
  signal GATE_T_9_A : std_logic;
  signal GATE_T_10_A : std_logic;
  signal GATE_T_12_A : std_logic;
  signal GATE_T_13_A : std_logic;
  signal GATE_T_15_A : std_logic;
  signal GATE_T_16_A : std_logic;
  signal GATE_T_17_A : std_logic;
  signal GATE_T_18_A : std_logic;
  signal GATE_T_19_A : std_logic;
  signal GATE_T_20_A : std_logic;
  signal GATE_T_21_A : std_logic;
  signal GATE_T_31_A : std_logic;
  signal GATE_T_33_A : std_logic;
  signal GATE_T_34_A : std_logic;
  signal GATE_T_35_A : std_logic;
  signal GATE_T_36_A : std_logic;
  signal GATE_T_45_A : std_logic;
  signal GATE_T_48_A : std_logic;
  signal GATE_T_49_A : std_logic;
  signal GATE_T_50_A : std_logic;
  signal GATE_T_51_A : std_logic;
  signal GATE_T_64_A : std_logic;
  signal GATE_T_64_B : std_logic;
  signal GATE_T_65_A : std_logic;
  signal GATE_T_65_B : std_logic;
  signal GATE_T_66_A : std_logic;
  signal GATE_T_66_B : std_logic;
  signal GATE_T_68_A : std_logic;
  signal GATE_T_68_B : std_logic;
  signal GATE_T_69_A : std_logic;
  signal GATE_T_69_B : std_logic;
  signal GATE_T_70_A : std_logic;
  signal GATE_T_70_B : std_logic;
  signal GATE_T_72_A : std_logic;
  signal GATE_T_72_B : std_logic;
  signal GATE_T_73_A : std_logic;
  signal GATE_T_73_B : std_logic;
  signal GATE_T_74_A : std_logic;
  signal GATE_T_74_B : std_logic;
  signal GATE_T_77_A : std_logic;
  signal GATE_T_78_A : std_logic;
  signal GATE_T_78_B : std_logic;
  signal GATE_T_80_B : std_logic;
  signal GATE_T_80_A : std_logic;
  signal GATE_T_81_DN : std_logic;
  signal GATE_T_83_DN : std_logic;
  signal GATE_T_84_B : std_logic;
  signal GATE_T_84_A : std_logic;
  signal GATE_T_89_A : std_logic;
  signal GATE_T_90_A : std_logic;
  signal GATE_T_90_B : std_logic;
  signal GATE_T_91_A : std_logic;
  signal GATE_T_91_B : std_logic;
  signal GATE_T_92_DN : std_logic;
  signal GATE_T_93_B : std_logic;
  signal GATE_T_93_A : std_logic;
  signal GATE_T_94_DN : std_logic;
  signal GATE_T_95_DN : std_logic;
  signal GATE_T_96_B : std_logic;
  signal GATE_T_96_A : std_logic;
  signal GATE_T_97_DN : std_logic;
  signal GATE_T_98_DN : std_logic;
  signal GATE_T_99_B : std_logic;
  signal GATE_T_99_A : std_logic;
  signal GATE_T_100_DN : std_logic;
  signal GATE_T_101_DN : std_logic;
  signal GATE_T_102_DN : std_logic;
  signal GATE_T_103_B : std_logic;
  signal GATE_T_103_A : std_logic;
  signal GATE_T_104_DN : std_logic;
  signal GATE_T_105_B : std_logic;
  signal GATE_T_105_A : std_logic;
  signal GATE_T_106_DN : std_logic;
  signal GATE_T_107_A : std_logic;
  signal GATE_T_107_B : std_logic;
  signal GATE_T_108_A : std_logic;
  signal GATE_T_108_B : std_logic;
  signal GATE_T_109_A : std_logic;
  signal GATE_T_109_B : std_logic;
  signal GATE_T_110_A : std_logic;
  signal GATE_T_110_B : std_logic;
  signal GATE_T_112_B : std_logic;
  signal GATE_T_112_A : std_logic;
  signal GATE_T_113_DN : std_logic;
  signal GATE_T_115_B : std_logic;
  signal GATE_T_115_A : std_logic;
  signal GATE_T_116_DN : std_logic;
  signal GATE_T_117_DN : std_logic;
  signal GATE_T_118_B : std_logic;
  signal GATE_T_118_A : std_logic;
  signal GATE_T_119_DN : std_logic;
  signal GATE_T_120_DN : std_logic;
  signal GATE_T_121_B : std_logic;
  signal GATE_T_121_A : std_logic;
  signal GATE_T_122_DN : std_logic;
  signal GATE_T_124_DN : std_logic;
  signal GATE_T_125_B : std_logic;
  signal GATE_T_125_A : std_logic;
  signal GATE_T_126_B : std_logic;
  signal GATE_T_126_A : std_logic;
  signal GATE_T_127_B : std_logic;
  signal GATE_T_127_A : std_logic;
  signal GATE_T_128_DN : std_logic;
  signal GATE_T_130_B : std_logic;
  signal GATE_T_130_A : std_logic;
  signal GATE_T_131_DN : std_logic;
  signal GATE_T_137_A : std_logic;
  signal GATE_T_137_B : std_logic;
  signal GATE_T_138_A : std_logic;
  signal GATE_T_138_B : std_logic;
  signal GATE_T_139_A : std_logic;
  signal GATE_T_139_B : std_logic;
  signal GATE_T_141_A : std_logic;
  signal GATE_T_141_B : std_logic;
  signal GATE_T_142_A : std_logic;
  signal GATE_T_142_B : std_logic;
  signal GATE_T_143_A : std_logic;
  signal GATE_T_143_B : std_logic;
  signal GATE_T_145_A : std_logic;
  signal GATE_T_145_B : std_logic;
  signal GATE_T_146_A : std_logic;
  signal GATE_T_146_B : std_logic;
  signal GATE_T_147_A : std_logic;
  signal GATE_T_147_B : std_logic;
  signal GATE_T_149_A : std_logic;
  signal GATE_T_149_B : std_logic;
  signal GATE_T_151_A : std_logic;
  signal GATE_T_154_A : std_logic;
  signal GATE_T_155_A : std_logic;
  signal GATE_T_155_B : std_logic;
  signal GATE_T_157_A : std_logic;
  signal GATE_T_157_B : std_logic;
  signal GATE_T_159_A : std_logic;
  signal GATE_T_162_A : std_logic;
  signal GATE_T_163_A : std_logic;
  signal GATE_T_163_B : std_logic;
  signal GATE_T_165_A : std_logic;
  signal GATE_T_165_B : std_logic;
  signal GATE_T_166_A : std_logic;
  signal GATE_T_166_B : std_logic;
  signal GATE_T_167_A : std_logic;
  signal GATE_T_167_B : std_logic;
  signal GATE_T_169_A : std_logic;
  signal GATE_T_169_B : std_logic;
  signal GATE_T_170_A : std_logic;
  signal GATE_T_170_B : std_logic;
  signal GATE_T_171_A : std_logic;
  signal GATE_T_171_B : std_logic;
  signal GATE_T_172_DN : std_logic;
  signal GATE_T_173_B : std_logic;
  signal GATE_T_173_A : std_logic;
  signal GATE_T_174_DN : std_logic;
  signal GATE_T_179_A : std_logic;
  signal GATE_T_179_B : std_logic;
  signal GATE_T_181_A : std_logic;
  signal GATE_T_183_B : std_logic;
  signal GATE_T_183_A : std_logic;
  signal GATE_T_184_B : std_logic;
  signal GATE_T_184_A : std_logic;
  signal GATE_T_185_B : std_logic;
  signal GATE_T_185_A : std_logic;
  signal GATE_T_186_B : std_logic;
  signal GATE_T_186_A : std_logic;
  signal GATE_T_187_DN : std_logic;
  signal GATE_T_188_DN : std_logic;
  signal GATE_T_189_DN : std_logic;
  signal GATE_T_190_B : std_logic;
  signal GATE_T_190_A : std_logic;
  signal GATE_T_195_A : std_logic;
  signal GATE_T_195_B : std_logic;
  signal GATE_T_196_A : std_logic;
  signal GATE_T_196_B : std_logic;
  signal GATE_T_197_A : std_logic;
  signal GATE_T_197_B : std_logic;
  signal GATE_T_199_A : std_logic;
  signal GATE_T_199_B : std_logic;
  signal GATE_T_200_A : std_logic;
  signal GATE_T_200_B : std_logic;
  signal GATE_T_201_A : std_logic;
  signal GATE_T_201_B : std_logic;
  signal GATE_T_203_A : std_logic;
  signal GATE_T_203_B : std_logic;
  signal GATE_T_204_A : std_logic;
  signal GATE_T_204_B : std_logic;
  signal GATE_T_205_A : std_logic;
  signal GATE_T_205_B : std_logic;
  signal GATE_T_207_A : std_logic;
  signal GATE_T_207_B : std_logic;
  signal GATE_T_208_A : std_logic;
  signal GATE_T_208_B : std_logic;
  signal GATE_T_209_A : std_logic;
  signal GATE_T_209_B : std_logic;
  signal GATE_T_212_A : std_logic;
  signal GATE_T_213_A : std_logic;
  signal GATE_T_213_B : std_logic;
  signal GATE_T_215_A : std_logic;
  signal GATE_T_215_B : std_logic;
  signal GATE_T_216_A : std_logic;
  signal GATE_T_216_B : std_logic;
  signal GATE_T_217_A : std_logic;
  signal GATE_T_217_B : std_logic;
  signal GATE_T_220_A : std_logic;
  signal GATE_T_221_A : std_logic;
  signal GATE_T_221_B : std_logic;
  signal GATE_T_223_A : std_logic;
  signal GATE_T_223_B : std_logic;
  signal GATE_T_224_A : std_logic;
  signal GATE_T_224_B : std_logic;
  signal GATE_T_225_A : std_logic;
  signal GATE_T_225_B : std_logic;
  signal GATE_T_227_DN : std_logic;
  signal GATE_T_228_B : std_logic;
  signal GATE_T_228_A : std_logic;
  signal GATE_T_234_A : std_logic;
  signal GATE_T_235_A : std_logic;
  signal GATE_T_235_B : std_logic;
  signal GATE_T_238_A : std_logic;
  signal GATE_T_239_A : std_logic;
  signal GATE_T_239_B : std_logic;
  signal GATE_T_241_A : std_logic;
  signal GATE_T_242_DN : std_logic;
  signal GATE_T_244_B : std_logic;
  signal GATE_T_244_A : std_logic;
  signal GATE_T_245_DN : std_logic;
  signal GATE_T_247_B : std_logic;
  signal GATE_T_247_A : std_logic;
  signal GATE_T_248_DN : std_logic;
  signal GATE_T_253_A : std_logic;
  signal GATE_T_253_B : std_logic;
  signal GATE_T_254_A : std_logic;
  signal GATE_T_254_B : std_logic;
  signal GATE_T_255_A : std_logic;
  signal GATE_T_255_B : std_logic;
  signal GATE_T_257_A : std_logic;
  signal GATE_T_257_B : std_logic;
  signal GATE_T_258_A : std_logic;
  signal GATE_T_258_B : std_logic;
  signal GATE_T_259_A : std_logic;
  signal GATE_T_259_B : std_logic;
  signal GATE_T_261_A : std_logic;
  signal GATE_T_261_B : std_logic;
  signal GATE_T_262_A : std_logic;
  signal GATE_T_262_B : std_logic;
  signal GATE_T_263_A : std_logic;
  signal GATE_T_263_B : std_logic;
  signal GATE_T_265_A : std_logic;
  signal GATE_T_265_B : std_logic;
  signal GATE_T_266_A : std_logic;
  signal GATE_T_266_B : std_logic;
  signal GATE_T_267_A : std_logic;
  signal GATE_T_267_B : std_logic;
  signal GATE_T_269_A : std_logic;
  signal GATE_T_269_B : std_logic;
  signal GATE_T_271_A : std_logic;
  signal GATE_T_273_A : std_logic;
  signal GATE_T_273_B : std_logic;
  signal GATE_T_274_A : std_logic;
  signal GATE_T_274_B : std_logic;
  signal GATE_T_275_A : std_logic;
  signal GATE_T_275_B : std_logic;
  signal GATE_T_277_A : std_logic;
  signal GATE_T_277_B : std_logic;
  signal GATE_T_279_A : std_logic;
  signal GATE_T_281_A : std_logic;
  signal GATE_T_281_B : std_logic;
  signal GATE_T_282_A : std_logic;
  signal GATE_T_282_B : std_logic;
  signal GATE_T_283_A : std_logic;
  signal GATE_T_283_B : std_logic;
  signal GATE_T_285_B : std_logic;
  signal GATE_T_285_A : std_logic;
  signal GATE_T_286_DN : std_logic;

begin
  GND_I_I_1:   GND port map ( X=>GND_net );
  IN_takt_I_1:   IBUF
 generic map( PULL => "Hold")
 port map ( O=>taktPIN, I0=>takt );
  OUT_r1_I_1:   OBUF port map ( O=>r1, I0=>r1Q );
  OUT_gl1_I_1:   OBUF port map ( O=>gl1, I0=>gl1Q );
  OUT_g1_I_1:   OBUF port map ( O=>g1, I0=>g1Q );
  OUT_r2_I_1:   OBUF port map ( O=>r2, I0=>r2Q );
  OUT_gl2_I_1:   OBUF port map ( O=>gl2, I0=>gl2Q );
  OUT_g2_I_1:   OBUF port map ( O=>g2, I0=>g2Q );
  OUT_rF_I_1:   OBUF port map ( O=>rF, I0=>rFQ );
  OUT_gF_I_1:   OBUF port map ( O=>gF, I0=>gFQ );
  FF_r1_I_1:   DFF port map ( D=>r1_D, Q=>r1Q, CLK=>taktPIN );
  FF_gl1_I_1:   DFF port map ( D=>gl1_D, Q=>gl1Q, CLK=>taktPIN );
  FF_g1_I_1:   DFF port map ( D=>g1_D, Q=>g1Q, CLK=>taktPIN );
  FF_r2_I_1:   DFF port map ( D=>r2_D, Q=>r2Q, CLK=>taktPIN );
  FF_gl2_I_1:   DFF port map ( D=>gl2_D, Q=>gl2Q, CLK=>taktPIN );
  FF_g2_I_1:   DFF port map ( D=>g2_D, Q=>g2Q, CLK=>taktPIN );
  FF_rF_I_1:   DFF port map ( D=>rF_D, Q=>rFQ, CLK=>taktPIN );
  FF_gF_I_1:   DFF port map ( D=>gF_D, Q=>gFQ, CLK=>taktPIN );
  FF_X0_I_1:   DFF port map ( D=>GND_net, Q=>X0Q, CLK=>taktPIN );
  FF_X1_I_1:   DFF port map ( D=>X1_D, Q=>X1Q, CLK=>taktPIN );
  FF_X2_I_1:   DFF port map ( D=>X2_D, Q=>X2Q, CLK=>taktPIN );
  FF_X3_I_1:   DFF port map ( D=>X3_D, Q=>X3Q, CLK=>taktPIN );
  FF_X4_I_1:   DFF port map ( D=>X4_D, Q=>X4Q, CLK=>taktPIN );
  GATE_r1_D_I_1:   OR4 port map ( I0=>T_59, I1=>T_251, O=>r1_D, I2=>T_250, I3=>T_249 );
  GATE_gl1_D_I_1:   OR2 port map ( O=>gl1_D, I1=>T_49, I0=>T_48 );
  GATE_g1_D_I_1:   OR3 port map ( O=>g1_D, I2=>T_46, I1=>T_45, I0=>T_47 );
  GATE_r2_D_I_1:   OR4 port map ( I0=>T_44, I1=>T_193, O=>r2_D, I2=>T_192, I3=>T_191 );
  GATE_gl2_D_I_1:   OR2 port map ( O=>gl2_D, I1=>T_34, I0=>T_33 );
  GATE_g2_D_I_1:   OR2 port map ( O=>g2_D, I1=>T_32, I0=>T_31 );
  GATE_rF_D_I_1:   OR4 port map ( I0=>T_135, I1=>T_134, O=>rF_D, I2=>T_133, I3=>T_132 );
  GATE_gF_D_I_1:   OR2 port map ( O=>gF_D, I1=>T_19, I0=>T_18 );
  GATE_X1_D_I_1:   OR3 port map ( O=>X1_D, I2=>T_16, I1=>T_15, I0=>T_17 );
  GATE_X2_D_I_1:   OR3 port map ( O=>X2_D, I2=>T_13, I1=>T_12, I0=>T_14 );
  GATE_X3_D_I_1:   OR3 port map ( O=>X3_D, I2=>T_86, I1=>T_87, I0=>T_85 );
  GATE_X4_D_I_1:   OR3 port map ( O=>X4_D, I2=>T_61, I1=>T_62, I0=>T_60 );
  GATE_T_0_I_1:   AND4 port map ( O=>T_0, I3=>T_82, I2=>T_83, I1=>T_84, I0=>GATE_T_0_A );
  GATE_T_0_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_0_A );
  GATE_T_1_I_1:   AND4 port map ( O=>T_1, I3=>T_79, I2=>T_80, I1=>T_81, I0=>GATE_T_1_A );
  GATE_T_1_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_1_A );
  GATE_T_2_I_1:   AND4 port map ( O=>T_2, I3=>T_75, I2=>T_76, I1=>T_77, I0=>T_78 );
  GATE_T_3_I_1:   AND4 port map ( O=>T_3, I3=>T_71, I2=>T_72, I1=>T_73, I0=>T_74 );
  GATE_T_4_I_1:   AND4 port map ( O=>T_4, I3=>T_67, I2=>T_68, I1=>T_69, I0=>T_70 );
  GATE_T_5_I_1:   AND4 port map ( O=>T_5, I3=>T_63, I2=>T_64, I1=>T_65, I0=>T_66 );
  GATE_T_6_I_1:   AND4 port map ( O=>T_6, I3=>T_104, I2=>T_105, I1=>T_106, I0=>GATE_T_6_A );
  GATE_T_6_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_6_A );
  GATE_T_7_I_1:   AND4 port map ( O=>T_7, I3=>T_101, I2=>T_102, I1=>T_103, I0=>GATE_T_7_A );
  GATE_T_7_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_7_A );
  GATE_T_8_I_1:   AND4 port map ( O=>T_8, I3=>T_98, I2=>T_99, I1=>T_100, I0=>GATE_T_8_A );
  GATE_T_8_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_8_A );
  GATE_T_9_I_1:   AND4 port map ( O=>T_9, I3=>T_95, I2=>T_96, I1=>T_97, I0=>GATE_T_9_A );
  GATE_T_9_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_9_A );
  GATE_T_10_I_1:   AND4 port map ( O=>T_10, I3=>T_92, I2=>T_93, I1=>T_94, I0=>GATE_T_10_A );
  GATE_T_10_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_10_A );
  GATE_T_11_I_1:   AND4 port map ( O=>T_11, I3=>T_88, I2=>T_89, I1=>T_90, I0=>T_91 );
  GATE_T_12_I_1:   AND4 port map ( O=>T_12, I3=>T_114, I2=>T_115, I1=>T_116, I0=>GATE_T_12_A );
  GATE_T_12_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_12_A );
  GATE_T_13_I_1:   AND4 port map ( O=>T_13, I3=>T_111, I2=>T_112, I1=>T_113, I0=>GATE_T_13_A );
  GATE_T_13_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_13_A );
  GATE_T_14_I_1:   AND4 port map ( O=>T_14, I3=>T_107, I2=>T_108, I1=>T_109, I0=>T_110 );
  GATE_T_15_I_1:   AND4 port map ( O=>T_15, I3=>T_123, I2=>T_124, I1=>T_125, I0=>GATE_T_15_A );
  GATE_T_15_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_15_A );
  GATE_T_16_I_1:   AND4 port map ( O=>T_16, I3=>T_120, I2=>T_121, I1=>T_122, I0=>GATE_T_16_A );
  GATE_T_16_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_16_A );
  GATE_T_17_I_1:   AND4 port map ( O=>T_17, I3=>T_117, I2=>T_118, I1=>T_119, I0=>GATE_T_17_A );
  GATE_T_17_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_17_A );
  GATE_T_18_I_1:   AND4 port map ( O=>T_18, I3=>T_129, I2=>T_130, I1=>T_131, I0=>GATE_T_18_A );
  GATE_T_18_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_18_A );
  GATE_T_19_I_1:   AND4 port map ( O=>T_19, I3=>T_126, I2=>T_127, I1=>T_128, I0=>GATE_T_19_A );
  GATE_T_19_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_19_A );
  GATE_T_20_I_1:   AND4 port map ( O=>T_20, I3=>T_175, I2=>T_176, I1=>T_177, I0=>GATE_T_20_A );
  GATE_T_20_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_20_A );
  GATE_T_21_I_1:   AND4 port map ( O=>T_21, I3=>T_172, I2=>T_173, I1=>T_174, I0=>GATE_T_21_A );
  GATE_T_21_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_21_A );
  GATE_T_22_I_1:   AND4 port map ( O=>T_22, I3=>T_168, I2=>T_169, I1=>T_170, I0=>T_171 );
  GATE_T_23_I_1:   AND4 port map ( O=>T_23, I3=>T_164, I2=>T_165, I1=>T_166, I0=>T_167 );
  GATE_T_24_I_1:   AND4 port map ( O=>T_24, I3=>T_160, I2=>T_161, I1=>T_162, I0=>T_163 );
  GATE_T_25_I_1:   AND4 port map ( O=>T_25, I3=>T_156, I2=>T_157, I1=>T_158, I0=>T_159 );
  GATE_T_26_I_1:   AND4 port map ( O=>T_26, I3=>T_152, I2=>T_153, I1=>T_154, I0=>T_155 );
  GATE_T_27_I_1:   AND4 port map ( O=>T_27, I3=>T_148, I2=>T_149, I1=>T_150, I0=>T_151 );
  GATE_T_28_I_1:   AND4 port map ( O=>T_28, I3=>T_144, I2=>T_145, I1=>T_146, I0=>T_147 );
  GATE_T_29_I_1:   AND4 port map ( O=>T_29, I3=>T_140, I2=>T_141, I1=>T_142, I0=>T_143 );
  GATE_T_30_I_1:   AND4 port map ( O=>T_30, I3=>T_136, I2=>T_137, I1=>T_138, I0=>T_139 );
  GATE_T_31_I_1:   AND4 port map ( O=>T_31, I3=>T_182, I2=>T_183, I1=>T_184, I0=>GATE_T_31_A );
  GATE_T_31_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_31_A );
  GATE_T_32_I_1:   AND4 port map ( O=>T_32, I3=>T_178, I2=>T_179, I1=>T_180, I0=>T_181 );
  GATE_T_33_I_1:   AND4 port map ( O=>T_33, I3=>T_188, I2=>T_189, I1=>T_190, I0=>GATE_T_33_A );
  GATE_T_33_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_33_A );
  GATE_T_34_I_1:   AND4 port map ( O=>T_34, I3=>T_185, I2=>T_186, I1=>T_187, I0=>GATE_T_34_A );
  GATE_T_34_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_34_A );
  GATE_T_35_I_1:   AND4 port map ( O=>T_35, I3=>T_229, I2=>T_230, I1=>T_231, I0=>GATE_T_35_A );
  GATE_T_35_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_35_A );
  GATE_T_36_I_1:   AND4 port map ( O=>T_36, I3=>T_226, I2=>T_227, I1=>T_228, I0=>GATE_T_36_A );
  GATE_T_36_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_36_A );
  GATE_T_37_I_1:   AND4 port map ( O=>T_37, I3=>T_222, I2=>T_223, I1=>T_224, I0=>T_225 );
  GATE_T_38_I_1:   AND4 port map ( O=>T_38, I3=>T_218, I2=>T_219, I1=>T_220, I0=>T_221 );
  GATE_T_39_I_1:   AND4 port map ( O=>T_39, I3=>T_214, I2=>T_215, I1=>T_216, I0=>T_217 );
  GATE_T_40_I_1:   AND4 port map ( O=>T_40, I3=>T_210, I2=>T_211, I1=>T_212, I0=>T_213 );
  GATE_T_41_I_1:   AND4 port map ( O=>T_41, I3=>T_206, I2=>T_207, I1=>T_208, I0=>T_209 );
  GATE_T_42_I_1:   AND4 port map ( O=>T_42, I3=>T_202, I2=>T_203, I1=>T_204, I0=>T_205 );
  GATE_T_43_I_1:   AND4 port map ( O=>T_43, I3=>T_198, I2=>T_199, I1=>T_200, I0=>T_201 );
  GATE_T_44_I_1:   AND4 port map ( O=>T_44, I3=>T_194, I2=>T_195, I1=>T_196, I0=>T_197 );
  GATE_T_45_I_1:   AND4 port map ( O=>T_45, I3=>T_240, I2=>T_241, I1=>T_242, I0=>GATE_T_45_A );
  GATE_T_45_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_45_A );
  GATE_T_46_I_1:   AND4 port map ( O=>T_46, I3=>T_236, I2=>T_237, I1=>T_238, I0=>T_239 );
  GATE_T_47_I_1:   AND4 port map ( O=>T_47, I3=>T_232, I2=>T_233, I1=>T_234, I0=>T_235 );
  GATE_T_48_I_1:   AND4 port map ( O=>T_48, I3=>T_246, I2=>T_247, I1=>T_248, I0=>GATE_T_48_A );
  GATE_T_48_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_48_A );
  GATE_T_49_I_1:   AND4 port map ( O=>T_49, I3=>T_243, I2=>T_244, I1=>T_245, I0=>GATE_T_49_A );
  GATE_T_49_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_49_A );
  GATE_T_50_I_1:   AND4 port map ( O=>T_50, I3=>T_287, I2=>T_288, I1=>T_289, I0=>GATE_T_50_A );
  GATE_T_50_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_50_A );
  GATE_T_51_I_1:   AND4 port map ( O=>T_51, I3=>T_284, I2=>T_285, I1=>T_286, I0=>GATE_T_51_A );
  GATE_T_51_I_2:   INV port map ( I0=>X0Q, O=>GATE_T_51_A );
  GATE_T_52_I_1:   AND4 port map ( O=>T_52, I3=>T_280, I2=>T_281, I1=>T_282, I0=>T_283 );
  GATE_T_53_I_1:   AND4 port map ( O=>T_53, I3=>T_276, I2=>T_277, I1=>T_278, I0=>T_279 );
  GATE_T_54_I_1:   AND4 port map ( O=>T_54, I3=>T_272, I2=>T_273, I1=>T_274, I0=>T_275 );
  GATE_T_55_I_1:   AND4 port map ( O=>T_55, I3=>T_268, I2=>T_269, I1=>T_270, I0=>T_271 );
  GATE_T_56_I_1:   AND4 port map ( O=>T_56, I3=>T_264, I2=>T_265, I1=>T_266, I0=>T_267 );
  GATE_T_57_I_1:   AND4 port map ( O=>T_57, I3=>T_260, I2=>T_261, I1=>T_262, I0=>T_263 );
  GATE_T_58_I_1:   AND4 port map ( O=>T_58, I3=>T_256, I2=>T_257, I1=>T_258, I0=>T_259 );
  GATE_T_59_I_1:   AND4 port map ( O=>T_59, I3=>T_252, I2=>T_253, I1=>T_254, I0=>T_255 );
  GATE_T_60_I_1:   OR2 port map ( O=>T_60, I1=>T_5, I0=>T_4 );
  GATE_T_61_I_1:   OR2 port map ( O=>T_61, I1=>T_3, I0=>T_2 );
  GATE_T_62_I_1:   OR2 port map ( O=>T_62, I1=>T_1, I0=>T_0 );
  GATE_T_63_I_1:   NOR3 port map ( O=>T_63, I2=>X2Q, I1=>X3Q, I0=>X0Q );
  GATE_T_64_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_64_A );
  GATE_T_64_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_64_B );
  GATE_T_64_I_3:   AND3 port map ( O=>T_64, I0=>r1Q, I2=>GATE_T_64_A, I1=>GATE_T_64_B );
  GATE_T_65_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_65_A );
  GATE_T_65_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_65_B );
  GATE_T_65_I_3:   AND3 port map ( O=>T_65, I0=>r2Q, I2=>GATE_T_65_A, I1=>GATE_T_65_B );
  GATE_T_66_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_66_A );
  GATE_T_66_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_66_B );
  GATE_T_66_I_3:   AND3 port map ( O=>T_66, I0=>rFQ, I2=>GATE_T_66_A, I1=>GATE_T_66_B );
  GATE_T_67_I_1:   NOR3 port map ( O=>T_67, I2=>X1Q, I1=>X3Q, I0=>X0Q );
  GATE_T_68_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_68_A );
  GATE_T_68_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_68_B );
  GATE_T_68_I_3:   AND3 port map ( O=>T_68, I0=>r1Q, I2=>GATE_T_68_A, I1=>GATE_T_68_B );
  GATE_T_69_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_69_A );
  GATE_T_69_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_69_B );
  GATE_T_69_I_3:   AND3 port map ( O=>T_69, I0=>r2Q, I2=>GATE_T_69_A, I1=>GATE_T_69_B );
  GATE_T_70_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_70_A );
  GATE_T_70_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_70_B );
  GATE_T_70_I_3:   AND3 port map ( O=>T_70, I0=>rFQ, I2=>GATE_T_70_A, I1=>GATE_T_70_B );
  GATE_T_71_I_1:   NOR3 port map ( O=>T_71, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_72_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_72_A );
  GATE_T_72_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_72_B );
  GATE_T_72_I_3:   AND3 port map ( O=>T_72, I0=>r1Q, I2=>GATE_T_72_A, I1=>GATE_T_72_B );
  GATE_T_73_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_73_A );
  GATE_T_73_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_73_B );
  GATE_T_73_I_3:   AND3 port map ( O=>T_73, I0=>r2Q, I2=>GATE_T_73_A, I1=>GATE_T_73_B );
  GATE_T_74_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_74_A );
  GATE_T_74_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_74_B );
  GATE_T_74_I_3:   AND3 port map ( O=>T_74, I0=>rFQ, I2=>GATE_T_74_A, I1=>GATE_T_74_B );
  GATE_T_75_I_1:   NOR3 port map ( O=>T_75, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_76_I_1:   NOR3 port map ( O=>T_76, I2=>r1Q, I1=>gl1Q, I0=>X4Q );
  GATE_T_77_I_1:   INV port map ( I0=>gl2Q, O=>GATE_T_77_A );
  GATE_T_77_I_2:   AND3 port map ( O=>T_77, I2=>r2Q, I1=>g1Q, I0=>GATE_T_77_A );
  GATE_T_78_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_78_A );
  GATE_T_78_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_78_B );
  GATE_T_78_I_3:   AND3 port map ( O=>T_78, I0=>rFQ, I2=>GATE_T_78_A, I1=>GATE_T_78_B );
  GATE_T_79_I_14:   NOR4 port map ( O=>T_79, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_80_I_3:   AND4 port map ( O=>T_80, I3=>r1Q, I2=>r2Q, I1=>GATE_T_80_B, I0=>GATE_T_80_A );
  GATE_T_80_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_80_B );
  GATE_T_80_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_80_A );
  GATE_T_81_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_81, I2=>rFQ, I3=>GATE_T_81_DN );
  GATE_T_81_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_81_DN );
  GATE_T_82_I_14:   NOR4 port map ( O=>T_82, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_83_I_1:   NOR4 port map ( I0=>r2Q, I1=>g1Q, O=>T_83, I2=>gl1Q, I3=>GATE_T_83_DN );
  GATE_T_83_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_83_DN );
  GATE_T_84_I_3:   AND4 port map ( O=>T_84, I3=>g2Q, I2=>rFQ, I1=>GATE_T_84_B, I0=>GATE_T_84_A );
  GATE_T_84_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_84_B );
  GATE_T_84_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_84_A );
  GATE_T_85_I_1:   OR2 port map ( O=>T_85, I1=>T_11, I0=>T_10 );
  GATE_T_86_I_1:   OR2 port map ( O=>T_86, I1=>T_9, I0=>T_8 );
  GATE_T_87_I_1:   OR2 port map ( O=>T_87, I1=>T_7, I0=>T_6 );
  GATE_T_88_I_1:   NOR3 port map ( O=>T_88, I2=>X1Q, I1=>X3Q, I0=>X0Q );
  GATE_T_89_I_1:   INV port map ( I0=>gl1Q, O=>GATE_T_89_A );
  GATE_T_89_I_2:   AND3 port map ( O=>T_89, I2=>r1Q, I1=>X4Q, I0=>GATE_T_89_A );
  GATE_T_90_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_90_A );
  GATE_T_90_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_90_B );
  GATE_T_90_I_3:   AND3 port map ( O=>T_90, I0=>r2Q, I2=>GATE_T_90_A, I1=>GATE_T_90_B );
  GATE_T_91_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_91_A );
  GATE_T_91_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_91_B );
  GATE_T_91_I_3:   AND3 port map ( O=>T_91, I0=>rFQ, I2=>GATE_T_91_A, I1=>GATE_T_91_B );
  GATE_T_92_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_92, I2=>X4Q, I3=>GATE_T_92_DN );
  GATE_T_92_I_2:   INV port map ( I0=>X3Q, O=>GATE_T_92_DN );
  GATE_T_93_I_3:   AND4 port map ( O=>T_93, I3=>r1Q, I2=>r2Q, I1=>GATE_T_93_B, I0=>GATE_T_93_A );
  GATE_T_93_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_93_B );
  GATE_T_93_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_93_A );
  GATE_T_94_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_94, I2=>gFQ, I3=>GATE_T_94_DN );
  GATE_T_94_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_94_DN );
  GATE_T_95_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_95, I2=>X4Q, I3=>GATE_T_95_DN );
  GATE_T_95_I_2:   INV port map ( I0=>X3Q, O=>GATE_T_95_DN );
  GATE_T_96_I_3:   AND4 port map ( O=>T_96, I3=>g1Q, I2=>r2Q, I1=>GATE_T_96_B, I0=>GATE_T_96_A );
  GATE_T_96_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_96_B );
  GATE_T_96_I_1:   INV port map ( I0=>gl1Q, O=>GATE_T_96_A );
  GATE_T_97_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_97, I2=>gFQ, I3=>GATE_T_97_DN );
  GATE_T_97_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_97_DN );
  GATE_T_98_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_98, I2=>X3Q, I3=>GATE_T_98_DN );
  GATE_T_98_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_98_DN );
  GATE_T_99_I_3:   AND4 port map ( O=>T_99, I3=>r1Q, I2=>r2Q, I1=>GATE_T_99_B, I0=>GATE_T_99_A );
  GATE_T_99_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_99_B );
  GATE_T_99_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_99_A );
  GATE_T_100_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_100, I2=>rFQ, I3=>GATE_T_100_DN );
  GATE_T_100_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_100_DN );
  GATE_T_101_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_101, I2=>X3Q, I3=>GATE_T_101_DN );
  GATE_T_101_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_101_DN );
  GATE_T_102_I_1:   NOR4 port map ( I0=>r2Q, I1=>g1Q, O=>T_102, I2=>gl1Q, I3=>GATE_T_102_DN );
  GATE_T_102_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_102_DN );
  GATE_T_103_I_3:   AND4 port map ( O=>T_103, I3=>g2Q, I2=>rFQ, I1=>GATE_T_103_B, I0=>GATE_T_103_A );
  GATE_T_103_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_103_B );
  GATE_T_103_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_103_A );
  GATE_T_104_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_104, I2=>X3Q, I3=>GATE_T_104_DN );
  GATE_T_104_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_104_DN );
  GATE_T_105_I_3:   AND4 port map ( O=>T_105, I3=>g1Q, I2=>r2Q, I1=>GATE_T_105_B, I0=>GATE_T_105_A );
  GATE_T_105_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_105_B );
  GATE_T_105_I_1:   INV port map ( I0=>gl1Q, O=>GATE_T_105_A );
  GATE_T_106_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_106, I2=>gFQ, I3=>GATE_T_106_DN );
  GATE_T_106_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_106_DN );
  GATE_T_107_I_1:   INV port map ( I0=>X0Q, O=>GATE_T_107_A );
  GATE_T_107_I_2:   INV port map ( I0=>X1Q, O=>GATE_T_107_B );
  GATE_T_107_I_3:   AND3 port map ( O=>T_107, I0=>X2Q, I2=>GATE_T_107_A, I1=>GATE_T_107_B );
  GATE_T_108_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_108_A );
  GATE_T_108_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_108_B );
  GATE_T_108_I_3:   AND3 port map ( O=>T_108, I0=>r1Q, I2=>GATE_T_108_A, I1=>GATE_T_108_B );
  GATE_T_109_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_109_A );
  GATE_T_109_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_109_B );
  GATE_T_109_I_3:   AND3 port map ( O=>T_109, I0=>r2Q, I2=>GATE_T_109_A, I1=>GATE_T_109_B );
  GATE_T_110_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_110_A );
  GATE_T_110_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_110_B );
  GATE_T_110_I_3:   AND3 port map ( O=>T_110, I0=>rFQ, I2=>GATE_T_110_A, I1=>GATE_T_110_B );
  GATE_T_111_I_14:   NOR4 port map ( O=>T_111, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_112_I_3:   AND4 port map ( O=>T_112, I3=>gl1Q, I2=>r2Q, I1=>GATE_T_112_B, I0=>GATE_T_112_A );
  GATE_T_112_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_112_B );
  GATE_T_112_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_112_A );
  GATE_T_113_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_113, I2=>gFQ, I3=>GATE_T_113_DN );
  GATE_T_113_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_113_DN );
  GATE_T_114_I_14:   NOR4 port map ( O=>T_114, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_115_I_3:   AND4 port map ( O=>T_115, I3=>g1Q, I2=>r2Q, I1=>GATE_T_115_B, I0=>GATE_T_115_A );
  GATE_T_115_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_115_B );
  GATE_T_115_I_1:   INV port map ( I0=>gl1Q, O=>GATE_T_115_A );
  GATE_T_116_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_116, I2=>gFQ, I3=>GATE_T_116_DN );
  GATE_T_116_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_116_DN );
  GATE_T_117_I_1:   NOR4 port map ( I0=>X4Q, I1=>X3Q, O=>T_117, I2=>X2Q, I3=>GATE_T_117_DN );
  GATE_T_117_I_2:   INV port map ( I0=>X1Q, O=>GATE_T_117_DN );
  GATE_T_118_I_3:   AND4 port map ( O=>T_118, I3=>r1Q, I2=>r2Q, I1=>GATE_T_118_B, I0=>GATE_T_118_A );
  GATE_T_118_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_118_B );
  GATE_T_118_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_118_A );
  GATE_T_119_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_119, I2=>gFQ, I3=>GATE_T_119_DN );
  GATE_T_119_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_119_DN );
  GATE_T_120_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_120, I2=>X3Q, I3=>GATE_T_120_DN );
  GATE_T_120_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_120_DN );
  GATE_T_121_I_3:   AND4 port map ( O=>T_121, I3=>r1Q, I2=>r2Q, I1=>GATE_T_121_B, I0=>GATE_T_121_A );
  GATE_T_121_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_121_B );
  GATE_T_121_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_121_A );
  GATE_T_122_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_122, I2=>rFQ, I3=>GATE_T_122_DN );
  GATE_T_122_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_122_DN );
  GATE_T_123_I_14:   NOR4 port map ( O=>T_123, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_124_I_1:   NOR4 port map ( I0=>r2Q, I1=>g1Q, O=>T_124, I2=>gl1Q, I3=>GATE_T_124_DN );
  GATE_T_124_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_124_DN );
  GATE_T_125_I_3:   AND4 port map ( O=>T_125, I3=>gl2Q, I2=>rFQ, I1=>GATE_T_125_B, I0=>GATE_T_125_A );
  GATE_T_125_I_2:   INV port map ( I0=>g2Q, O=>GATE_T_125_B );
  GATE_T_125_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_125_A );
  GATE_T_126_I_3:   AND4 port map ( O=>T_126, I3=>X1Q, I2=>X4Q, I1=>GATE_T_126_B, I0=>GATE_T_126_A );
  GATE_T_126_I_2:   INV port map ( I0=>X2Q, O=>GATE_T_126_B );
  GATE_T_126_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_126_A );
  GATE_T_127_I_3:   AND4 port map ( O=>T_127, I3=>r1Q, I2=>r2Q, I1=>GATE_T_127_B, I0=>GATE_T_127_A );
  GATE_T_127_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_127_B );
  GATE_T_127_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_127_A );
  GATE_T_128_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_128, I2=>gFQ, I3=>GATE_T_128_DN );
  GATE_T_128_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_128_DN );
  GATE_T_129_I_14:   NOR4 port map ( O=>T_129, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_130_I_3:   AND4 port map ( O=>T_130, I3=>r1Q, I2=>r2Q, I1=>GATE_T_130_B, I0=>GATE_T_130_A );
  GATE_T_130_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_130_B );
  GATE_T_130_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_130_A );
  GATE_T_131_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_131, I2=>rFQ, I3=>GATE_T_131_DN );
  GATE_T_131_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_131_DN );
  GATE_T_132_I_1:   OR2 port map ( O=>T_132, I1=>T_30, I0=>T_29 );
  GATE_T_133_I_1:   OR3 port map ( O=>T_133, I2=>T_27, I1=>T_26, I0=>T_28 );
  GATE_T_134_I_1:   OR3 port map ( O=>T_134, I2=>T_24, I1=>T_23, I0=>T_25 );
  GATE_T_135_I_1:   OR3 port map ( O=>T_135, I2=>T_21, I1=>T_20, I0=>T_22 );
  GATE_T_136_I_1:   NOR2 port map ( O=>T_136, I1=>X0Q, I0=>X2Q );
  GATE_T_137_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_137_A );
  GATE_T_137_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_137_B );
  GATE_T_137_I_3:   AND3 port map ( O=>T_137, I0=>r1Q, I2=>GATE_T_137_A, I1=>GATE_T_137_B );
  GATE_T_138_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_138_A );
  GATE_T_138_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_138_B );
  GATE_T_138_I_3:   AND3 port map ( O=>T_138, I0=>r2Q, I2=>GATE_T_138_A, I1=>GATE_T_138_B );
  GATE_T_139_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_139_A );
  GATE_T_139_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_139_B );
  GATE_T_139_I_3:   AND3 port map ( O=>T_139, I0=>rFQ, I2=>GATE_T_139_A, I1=>GATE_T_139_B );
  GATE_T_140_I_1:   NOR2 port map ( O=>T_140, I1=>X0Q, I0=>X1Q );
  GATE_T_141_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_141_A );
  GATE_T_141_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_141_B );
  GATE_T_141_I_3:   AND3 port map ( O=>T_141, I0=>r1Q, I2=>GATE_T_141_A, I1=>GATE_T_141_B );
  GATE_T_142_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_142_A );
  GATE_T_142_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_142_B );
  GATE_T_142_I_3:   AND3 port map ( O=>T_142, I0=>r2Q, I2=>GATE_T_142_A, I1=>GATE_T_142_B );
  GATE_T_143_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_143_A );
  GATE_T_143_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_143_B );
  GATE_T_143_I_3:   AND3 port map ( O=>T_143, I0=>rFQ, I2=>GATE_T_143_A, I1=>GATE_T_143_B );
  GATE_T_144_I_1:   NOR2 port map ( O=>T_144, I1=>X0Q, I0=>X1Q );
  GATE_T_145_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_145_A );
  GATE_T_145_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_145_B );
  GATE_T_145_I_3:   AND3 port map ( O=>T_145, I0=>r1Q, I2=>GATE_T_145_A, I1=>GATE_T_145_B );
  GATE_T_146_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_146_A );
  GATE_T_146_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_146_B );
  GATE_T_146_I_3:   AND3 port map ( O=>T_146, I0=>r2Q, I2=>GATE_T_146_A, I1=>GATE_T_146_B );
  GATE_T_147_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_147_A );
  GATE_T_147_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_147_B );
  GATE_T_147_I_3:   AND3 port map ( O=>T_147, I0=>rFQ, I2=>GATE_T_147_A, I1=>GATE_T_147_B );
  GATE_T_148_I_1:   NOR3 port map ( O=>T_148, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_149_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_149_A );
  GATE_T_149_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_149_B );
  GATE_T_149_I_3:   AND3 port map ( O=>T_149, I0=>r1Q, I2=>GATE_T_149_A, I1=>GATE_T_149_B );
  GATE_T_150_I_1:   NOR3 port map ( O=>T_150, I2=>r2Q, I1=>gl2Q, I0=>g1Q );
  GATE_T_151_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_151_A );
  GATE_T_151_I_2:   AND3 port map ( O=>T_151, I2=>rFQ, I1=>g2Q, I0=>GATE_T_151_A );
  GATE_T_152_I_1:   NOR3 port map ( O=>T_152, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_153_I_1:   NOR3 port map ( O=>T_153, I2=>r1Q, I1=>gl1Q, I0=>X4Q );
  GATE_T_154_I_1:   INV port map ( I0=>gl2Q, O=>GATE_T_154_A );
  GATE_T_154_I_2:   AND3 port map ( O=>T_154, I2=>r2Q, I1=>g1Q, I0=>GATE_T_154_A );
  GATE_T_155_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_155_A );
  GATE_T_155_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_155_B );
  GATE_T_155_I_3:   AND3 port map ( O=>T_155, I0=>rFQ, I2=>GATE_T_155_A, I1=>GATE_T_155_B );
  GATE_T_156_I_1:   NOR3 port map ( O=>T_156, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_157_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_157_A );
  GATE_T_157_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_157_B );
  GATE_T_157_I_3:   AND3 port map ( O=>T_157, I0=>r1Q, I2=>GATE_T_157_A, I1=>GATE_T_157_B );
  GATE_T_158_I_1:   NOR3 port map ( O=>T_158, I2=>r2Q, I1=>gl2Q, I0=>g1Q );
  GATE_T_159_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_159_A );
  GATE_T_159_I_2:   AND3 port map ( O=>T_159, I2=>rFQ, I1=>g2Q, I0=>GATE_T_159_A );
  GATE_T_160_I_1:   NOR3 port map ( O=>T_160, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_161_I_1:   NOR3 port map ( O=>T_161, I2=>r1Q, I1=>gl1Q, I0=>X3Q );
  GATE_T_162_I_1:   INV port map ( I0=>gl2Q, O=>GATE_T_162_A );
  GATE_T_162_I_2:   AND3 port map ( O=>T_162, I2=>r2Q, I1=>g1Q, I0=>GATE_T_162_A );
  GATE_T_163_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_163_A );
  GATE_T_163_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_163_B );
  GATE_T_163_I_3:   AND3 port map ( O=>T_163, I0=>rFQ, I2=>GATE_T_163_A, I1=>GATE_T_163_B );
  GATE_T_164_I_1:   NOR3 port map ( O=>T_164, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_165_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_165_A );
  GATE_T_165_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_165_B );
  GATE_T_165_I_3:   AND3 port map ( O=>T_165, I0=>gl1Q, I2=>GATE_T_165_A, I1=>GATE_T_165_B );
  GATE_T_166_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_166_A );
  GATE_T_166_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_166_B );
  GATE_T_166_I_3:   AND3 port map ( O=>T_166, I0=>r2Q, I2=>GATE_T_166_A, I1=>GATE_T_166_B );
  GATE_T_167_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_167_A );
  GATE_T_167_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_167_B );
  GATE_T_167_I_3:   AND3 port map ( O=>T_167, I0=>rFQ, I2=>GATE_T_167_A, I1=>GATE_T_167_B );
  GATE_T_168_I_1:   NOR3 port map ( O=>T_168, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_169_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_169_A );
  GATE_T_169_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_169_B );
  GATE_T_169_I_3:   AND3 port map ( O=>T_169, I0=>r1Q, I2=>GATE_T_169_A, I1=>GATE_T_169_B );
  GATE_T_170_I_1:   INV port map ( I0=>gl1Q, O=>GATE_T_170_A );
  GATE_T_170_I_2:   INV port map ( I0=>g1Q, O=>GATE_T_170_B );
  GATE_T_170_I_3:   AND3 port map ( O=>T_170, I0=>gl2Q, I2=>GATE_T_170_A, I1=>GATE_T_170_B );
  GATE_T_171_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_171_A );
  GATE_T_171_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_171_B );
  GATE_T_171_I_3:   AND3 port map ( O=>T_171, I0=>rFQ, I2=>GATE_T_171_A, I1=>GATE_T_171_B );
  GATE_T_172_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_172, I2=>X3Q, I3=>GATE_T_172_DN );
  GATE_T_172_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_172_DN );
  GATE_T_173_I_3:   AND4 port map ( O=>T_173, I3=>r1Q, I2=>r2Q, I1=>GATE_T_173_B, I0=>GATE_T_173_A );
  GATE_T_173_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_173_B );
  GATE_T_173_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_173_A );
  GATE_T_174_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_174, I2=>rFQ, I3=>GATE_T_174_DN );
  GATE_T_174_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_174_DN );
  GATE_T_175_I_14:   NOR4 port map ( O=>T_175, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_176_I_14:   NOR4 port map ( O=>T_176, I3=>r1Q, I2=>gl1Q, I1=>g1Q, I0=>r2Q );
  GATE_T_177_I_14:   NOR4 port map ( O=>T_177, I3=>gl2Q, I2=>g2Q, I1=>rFQ, I0=>gFQ );
  GATE_T_178_I_1:   NOR3 port map ( O=>T_178, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_179_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_179_A );
  GATE_T_179_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_179_B );
  GATE_T_179_I_3:   AND3 port map ( O=>T_179, I0=>r1Q, I2=>GATE_T_179_A, I1=>GATE_T_179_B );
  GATE_T_180_I_1:   NOR3 port map ( O=>T_180, I2=>r2Q, I1=>gl2Q, I0=>g1Q );
  GATE_T_181_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_181_A );
  GATE_T_181_I_2:   AND3 port map ( O=>T_181, I2=>rFQ, I1=>g2Q, I0=>GATE_T_181_A );
  GATE_T_182_I_14:   NOR4 port map ( O=>T_182, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_183_I_3:   AND4 port map ( O=>T_183, I3=>r1Q, I2=>r2Q, I1=>GATE_T_183_B, I0=>GATE_T_183_A );
  GATE_T_183_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_183_B );
  GATE_T_183_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_183_A );
  GATE_T_184_I_3:   AND4 port map ( O=>T_184, I3=>gl2Q, I2=>rFQ, I1=>GATE_T_184_B, I0=>GATE_T_184_A );
  GATE_T_184_I_2:   INV port map ( I0=>g2Q, O=>GATE_T_184_B );
  GATE_T_184_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_184_A );
  GATE_T_185_I_3:   AND4 port map ( O=>T_185, I3=>X2Q, I2=>X3Q, I1=>GATE_T_185_B, I0=>GATE_T_185_A );
  GATE_T_185_I_2:   INV port map ( I0=>X1Q, O=>GATE_T_185_B );
  GATE_T_185_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_185_A );
  GATE_T_186_I_3:   AND4 port map ( O=>T_186, I3=>r1Q, I2=>r2Q, I1=>GATE_T_186_B, I0=>GATE_T_186_A );
  GATE_T_186_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_186_B );
  GATE_T_186_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_186_A );
  GATE_T_187_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_187, I2=>gFQ, I3=>GATE_T_187_DN );
  GATE_T_187_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_187_DN );
  GATE_T_188_I_1:   NOR4 port map ( I0=>X2Q, I1=>X1Q, O=>T_188, I2=>X4Q, I3=>GATE_T_188_DN );
  GATE_T_188_I_2:   INV port map ( I0=>X3Q, O=>GATE_T_188_DN );
  GATE_T_189_I_1:   NOR4 port map ( I0=>r2Q, I1=>g1Q, O=>T_189, I2=>gl1Q, I3=>GATE_T_189_DN );
  GATE_T_189_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_189_DN );
  GATE_T_190_I_3:   AND4 port map ( O=>T_190, I3=>g2Q, I2=>rFQ, I1=>GATE_T_190_B, I0=>GATE_T_190_A );
  GATE_T_190_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_190_B );
  GATE_T_190_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_190_A );
  GATE_T_191_I_1:   OR3 port map ( O=>T_191, I2=>T_42, I1=>T_41, I0=>T_43 );
  GATE_T_192_I_1:   OR3 port map ( O=>T_192, I2=>T_39, I1=>T_38, I0=>T_40 );
  GATE_T_193_I_1:   OR3 port map ( O=>T_193, I2=>T_36, I1=>T_35, I0=>T_37 );
  GATE_T_194_I_1:   NOR2 port map ( O=>T_194, I1=>X0Q, I0=>X2Q );
  GATE_T_195_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_195_A );
  GATE_T_195_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_195_B );
  GATE_T_195_I_3:   AND3 port map ( O=>T_195, I0=>r1Q, I2=>GATE_T_195_A, I1=>GATE_T_195_B );
  GATE_T_196_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_196_A );
  GATE_T_196_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_196_B );
  GATE_T_196_I_3:   AND3 port map ( O=>T_196, I0=>r2Q, I2=>GATE_T_196_A, I1=>GATE_T_196_B );
  GATE_T_197_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_197_A );
  GATE_T_197_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_197_B );
  GATE_T_197_I_3:   AND3 port map ( O=>T_197, I0=>rFQ, I2=>GATE_T_197_A, I1=>GATE_T_197_B );
  GATE_T_198_I_1:   NOR2 port map ( O=>T_198, I1=>X0Q, I0=>X2Q );
  GATE_T_199_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_199_A );
  GATE_T_199_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_199_B );
  GATE_T_199_I_3:   AND3 port map ( O=>T_199, I0=>r1Q, I2=>GATE_T_199_A, I1=>GATE_T_199_B );
  GATE_T_200_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_200_A );
  GATE_T_200_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_200_B );
  GATE_T_200_I_3:   AND3 port map ( O=>T_200, I0=>r2Q, I2=>GATE_T_200_A, I1=>GATE_T_200_B );
  GATE_T_201_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_201_A );
  GATE_T_201_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_201_B );
  GATE_T_201_I_3:   AND3 port map ( O=>T_201, I0=>rFQ, I2=>GATE_T_201_A, I1=>GATE_T_201_B );
  GATE_T_202_I_1:   NOR2 port map ( O=>T_202, I1=>X0Q, I0=>X1Q );
  GATE_T_203_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_203_A );
  GATE_T_203_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_203_B );
  GATE_T_203_I_3:   AND3 port map ( O=>T_203, I0=>r1Q, I2=>GATE_T_203_A, I1=>GATE_T_203_B );
  GATE_T_204_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_204_A );
  GATE_T_204_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_204_B );
  GATE_T_204_I_3:   AND3 port map ( O=>T_204, I0=>r2Q, I2=>GATE_T_204_A, I1=>GATE_T_204_B );
  GATE_T_205_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_205_A );
  GATE_T_205_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_205_B );
  GATE_T_205_I_3:   AND3 port map ( O=>T_205, I0=>rFQ, I2=>GATE_T_205_A, I1=>GATE_T_205_B );
  GATE_T_206_I_1:   NOR2 port map ( O=>T_206, I1=>X0Q, I0=>X1Q );
  GATE_T_207_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_207_A );
  GATE_T_207_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_207_B );
  GATE_T_207_I_3:   AND3 port map ( O=>T_207, I0=>r1Q, I2=>GATE_T_207_A, I1=>GATE_T_207_B );
  GATE_T_208_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_208_A );
  GATE_T_208_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_208_B );
  GATE_T_208_I_3:   AND3 port map ( O=>T_208, I0=>r2Q, I2=>GATE_T_208_A, I1=>GATE_T_208_B );
  GATE_T_209_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_209_A );
  GATE_T_209_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_209_B );
  GATE_T_209_I_3:   AND3 port map ( O=>T_209, I0=>rFQ, I2=>GATE_T_209_A, I1=>GATE_T_209_B );
  GATE_T_210_I_1:   NOR3 port map ( O=>T_210, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_211_I_1:   NOR3 port map ( O=>T_211, I2=>r1Q, I1=>gl1Q, I0=>X4Q );
  GATE_T_212_I_1:   INV port map ( I0=>gl2Q, O=>GATE_T_212_A );
  GATE_T_212_I_2:   AND3 port map ( O=>T_212, I2=>r2Q, I1=>g1Q, I0=>GATE_T_212_A );
  GATE_T_213_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_213_A );
  GATE_T_213_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_213_B );
  GATE_T_213_I_3:   AND3 port map ( O=>T_213, I0=>rFQ, I2=>GATE_T_213_A, I1=>GATE_T_213_B );
  GATE_T_214_I_1:   NOR3 port map ( O=>T_214, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_215_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_215_A );
  GATE_T_215_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_215_B );
  GATE_T_215_I_3:   AND3 port map ( O=>T_215, I0=>r1Q, I2=>GATE_T_215_A, I1=>GATE_T_215_B );
  GATE_T_216_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_216_A );
  GATE_T_216_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_216_B );
  GATE_T_216_I_3:   AND3 port map ( O=>T_216, I0=>r2Q, I2=>GATE_T_216_A, I1=>GATE_T_216_B );
  GATE_T_217_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_217_A );
  GATE_T_217_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_217_B );
  GATE_T_217_I_3:   AND3 port map ( O=>T_217, I0=>gFQ, I2=>GATE_T_217_A, I1=>GATE_T_217_B );
  GATE_T_218_I_1:   NOR3 port map ( O=>T_218, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_219_I_1:   NOR3 port map ( O=>T_219, I2=>r1Q, I1=>gl1Q, I0=>X3Q );
  GATE_T_220_I_1:   INV port map ( I0=>gl2Q, O=>GATE_T_220_A );
  GATE_T_220_I_2:   AND3 port map ( O=>T_220, I2=>r2Q, I1=>g1Q, I0=>GATE_T_220_A );
  GATE_T_221_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_221_A );
  GATE_T_221_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_221_B );
  GATE_T_221_I_3:   AND3 port map ( O=>T_221, I0=>rFQ, I2=>GATE_T_221_A, I1=>GATE_T_221_B );
  GATE_T_222_I_1:   NOR3 port map ( O=>T_222, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_223_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_223_A );
  GATE_T_223_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_223_B );
  GATE_T_223_I_3:   AND3 port map ( O=>T_223, I0=>gl1Q, I2=>GATE_T_223_A, I1=>GATE_T_223_B );
  GATE_T_224_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_224_A );
  GATE_T_224_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_224_B );
  GATE_T_224_I_3:   AND3 port map ( O=>T_224, I0=>r2Q, I2=>GATE_T_224_A, I1=>GATE_T_224_B );
  GATE_T_225_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_225_A );
  GATE_T_225_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_225_B );
  GATE_T_225_I_3:   AND3 port map ( O=>T_225, I0=>rFQ, I2=>GATE_T_225_A, I1=>GATE_T_225_B );
  GATE_T_226_I_14:   NOR4 port map ( O=>T_226, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_227_I_1:   NOR4 port map ( I0=>r2Q, I1=>g1Q, O=>T_227, I2=>gl1Q, I3=>GATE_T_227_DN );
  GATE_T_227_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_227_DN );
  GATE_T_228_I_3:   AND4 port map ( O=>T_228, I3=>gl2Q, I2=>rFQ, I1=>GATE_T_228_B, I0=>GATE_T_228_A );
  GATE_T_228_I_2:   INV port map ( I0=>g2Q, O=>GATE_T_228_B );
  GATE_T_228_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_228_A );
  GATE_T_229_I_14:   NOR4 port map ( O=>T_229, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_230_I_14:   NOR4 port map ( O=>T_230, I3=>r1Q, I2=>gl1Q, I1=>g1Q, I0=>r2Q );
  GATE_T_231_I_14:   NOR4 port map ( O=>T_231, I3=>gl2Q, I2=>g2Q, I1=>rFQ, I0=>gFQ );
  GATE_T_232_I_1:   NOR3 port map ( O=>T_232, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_233_I_1:   NOR3 port map ( O=>T_233, I2=>r1Q, I1=>gl1Q, I0=>X4Q );
  GATE_T_234_I_1:   INV port map ( I0=>gl2Q, O=>GATE_T_234_A );
  GATE_T_234_I_2:   AND3 port map ( O=>T_234, I2=>r2Q, I1=>g1Q, I0=>GATE_T_234_A );
  GATE_T_235_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_235_A );
  GATE_T_235_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_235_B );
  GATE_T_235_I_3:   AND3 port map ( O=>T_235, I0=>rFQ, I2=>GATE_T_235_A, I1=>GATE_T_235_B );
  GATE_T_236_I_1:   NOR3 port map ( O=>T_236, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_237_I_1:   NOR3 port map ( O=>T_237, I2=>r1Q, I1=>gl1Q, I0=>X3Q );
  GATE_T_238_I_1:   INV port map ( I0=>gl2Q, O=>GATE_T_238_A );
  GATE_T_238_I_2:   AND3 port map ( O=>T_238, I2=>r2Q, I1=>g1Q, I0=>GATE_T_238_A );
  GATE_T_239_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_239_A );
  GATE_T_239_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_239_B );
  GATE_T_239_I_3:   AND3 port map ( O=>T_239, I0=>rFQ, I2=>GATE_T_239_A, I1=>GATE_T_239_B );
  GATE_T_240_I_14:   NOR4 port map ( O=>T_240, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_241_I_1:   AND4 port map ( O=>T_241, I3=>r1Q, I2=>gl1Q, I1=>r2Q, I0=>GATE_T_241_A );
  GATE_T_241_I_2:   INV port map ( I0=>g1Q, O=>GATE_T_241_A );
  GATE_T_242_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_242, I2=>gFQ, I3=>GATE_T_242_DN );
  GATE_T_242_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_242_DN );
  GATE_T_243_I_14:   NOR4 port map ( O=>T_243, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_244_I_3:   AND4 port map ( O=>T_244, I3=>r1Q, I2=>r2Q, I1=>GATE_T_244_B, I0=>GATE_T_244_A );
  GATE_T_244_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_244_B );
  GATE_T_244_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_244_A );
  GATE_T_245_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_245, I2=>gFQ, I3=>GATE_T_245_DN );
  GATE_T_245_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_245_DN );
  GATE_T_246_I_14:   NOR4 port map ( O=>T_246, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_247_I_3:   AND4 port map ( O=>T_247, I3=>g1Q, I2=>r2Q, I1=>GATE_T_247_B, I0=>GATE_T_247_A );
  GATE_T_247_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_247_B );
  GATE_T_247_I_1:   INV port map ( I0=>gl1Q, O=>GATE_T_247_A );
  GATE_T_248_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_248, I2=>gFQ, I3=>GATE_T_248_DN );
  GATE_T_248_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_248_DN );
  GATE_T_249_I_1:   OR3 port map ( O=>T_249, I2=>T_57, I1=>T_56, I0=>T_58 );
  GATE_T_250_I_1:   OR3 port map ( O=>T_250, I2=>T_54, I1=>T_53, I0=>T_55 );
  GATE_T_251_I_1:   OR3 port map ( O=>T_251, I2=>T_51, I1=>T_50, I0=>T_52 );
  GATE_T_252_I_1:   NOR2 port map ( O=>T_252, I1=>X0Q, I0=>X2Q );
  GATE_T_253_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_253_A );
  GATE_T_253_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_253_B );
  GATE_T_253_I_3:   AND3 port map ( O=>T_253, I0=>r1Q, I2=>GATE_T_253_A, I1=>GATE_T_253_B );
  GATE_T_254_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_254_A );
  GATE_T_254_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_254_B );
  GATE_T_254_I_3:   AND3 port map ( O=>T_254, I0=>r2Q, I2=>GATE_T_254_A, I1=>GATE_T_254_B );
  GATE_T_255_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_255_A );
  GATE_T_255_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_255_B );
  GATE_T_255_I_3:   AND3 port map ( O=>T_255, I0=>rFQ, I2=>GATE_T_255_A, I1=>GATE_T_255_B );
  GATE_T_256_I_1:   NOR2 port map ( O=>T_256, I1=>X0Q, I0=>X2Q );
  GATE_T_257_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_257_A );
  GATE_T_257_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_257_B );
  GATE_T_257_I_3:   AND3 port map ( O=>T_257, I0=>r1Q, I2=>GATE_T_257_A, I1=>GATE_T_257_B );
  GATE_T_258_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_258_A );
  GATE_T_258_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_258_B );
  GATE_T_258_I_3:   AND3 port map ( O=>T_258, I0=>r2Q, I2=>GATE_T_258_A, I1=>GATE_T_258_B );
  GATE_T_259_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_259_A );
  GATE_T_259_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_259_B );
  GATE_T_259_I_3:   AND3 port map ( O=>T_259, I0=>rFQ, I2=>GATE_T_259_A, I1=>GATE_T_259_B );
  GATE_T_260_I_1:   NOR2 port map ( O=>T_260, I1=>X0Q, I0=>X1Q );
  GATE_T_261_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_261_A );
  GATE_T_261_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_261_B );
  GATE_T_261_I_3:   AND3 port map ( O=>T_261, I0=>r1Q, I2=>GATE_T_261_A, I1=>GATE_T_261_B );
  GATE_T_262_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_262_A );
  GATE_T_262_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_262_B );
  GATE_T_262_I_3:   AND3 port map ( O=>T_262, I0=>r2Q, I2=>GATE_T_262_A, I1=>GATE_T_262_B );
  GATE_T_263_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_263_A );
  GATE_T_263_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_263_B );
  GATE_T_263_I_3:   AND3 port map ( O=>T_263, I0=>rFQ, I2=>GATE_T_263_A, I1=>GATE_T_263_B );
  GATE_T_264_I_1:   NOR2 port map ( O=>T_264, I1=>X0Q, I0=>X1Q );
  GATE_T_265_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_265_A );
  GATE_T_265_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_265_B );
  GATE_T_265_I_3:   AND3 port map ( O=>T_265, I0=>r1Q, I2=>GATE_T_265_A, I1=>GATE_T_265_B );
  GATE_T_266_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_266_A );
  GATE_T_266_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_266_B );
  GATE_T_266_I_3:   AND3 port map ( O=>T_266, I0=>r2Q, I2=>GATE_T_266_A, I1=>GATE_T_266_B );
  GATE_T_267_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_267_A );
  GATE_T_267_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_267_B );
  GATE_T_267_I_3:   AND3 port map ( O=>T_267, I0=>rFQ, I2=>GATE_T_267_A, I1=>GATE_T_267_B );
  GATE_T_268_I_1:   NOR3 port map ( O=>T_268, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_269_I_1:   INV port map ( I0=>X4Q, O=>GATE_T_269_A );
  GATE_T_269_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_269_B );
  GATE_T_269_I_3:   AND3 port map ( O=>T_269, I0=>r1Q, I2=>GATE_T_269_A, I1=>GATE_T_269_B );
  GATE_T_270_I_1:   NOR3 port map ( O=>T_270, I2=>r2Q, I1=>gl2Q, I0=>g1Q );
  GATE_T_271_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_271_A );
  GATE_T_271_I_2:   AND3 port map ( O=>T_271, I2=>rFQ, I1=>g2Q, I0=>GATE_T_271_A );
  GATE_T_272_I_1:   NOR3 port map ( O=>T_272, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_273_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_273_A );
  GATE_T_273_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_273_B );
  GATE_T_273_I_3:   AND3 port map ( O=>T_273, I0=>r1Q, I2=>GATE_T_273_A, I1=>GATE_T_273_B );
  GATE_T_274_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_274_A );
  GATE_T_274_I_2:   INV port map ( I0=>gl2Q, O=>GATE_T_274_B );
  GATE_T_274_I_3:   AND3 port map ( O=>T_274, I0=>r2Q, I2=>GATE_T_274_A, I1=>GATE_T_274_B );
  GATE_T_275_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_275_A );
  GATE_T_275_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_275_B );
  GATE_T_275_I_3:   AND3 port map ( O=>T_275, I0=>gFQ, I2=>GATE_T_275_A, I1=>GATE_T_275_B );
  GATE_T_276_I_1:   NOR3 port map ( O=>T_276, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_277_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_277_A );
  GATE_T_277_I_2:   INV port map ( I0=>gl1Q, O=>GATE_T_277_B );
  GATE_T_277_I_3:   AND3 port map ( O=>T_277, I0=>r1Q, I2=>GATE_T_277_A, I1=>GATE_T_277_B );
  GATE_T_278_I_1:   NOR3 port map ( O=>T_278, I2=>r2Q, I1=>gl2Q, I0=>g1Q );
  GATE_T_279_I_1:   INV port map ( I0=>gFQ, O=>GATE_T_279_A );
  GATE_T_279_I_2:   AND3 port map ( O=>T_279, I2=>rFQ, I1=>g2Q, I0=>GATE_T_279_A );
  GATE_T_280_I_1:   NOR3 port map ( O=>T_280, I2=>X1Q, I1=>X2Q, I0=>X0Q );
  GATE_T_281_I_1:   INV port map ( I0=>X3Q, O=>GATE_T_281_A );
  GATE_T_281_I_2:   INV port map ( I0=>X4Q, O=>GATE_T_281_B );
  GATE_T_281_I_3:   AND3 port map ( O=>T_281, I0=>r1Q, I2=>GATE_T_281_A, I1=>GATE_T_281_B );
  GATE_T_282_I_1:   INV port map ( I0=>gl1Q, O=>GATE_T_282_A );
  GATE_T_282_I_2:   INV port map ( I0=>g1Q, O=>GATE_T_282_B );
  GATE_T_282_I_3:   AND3 port map ( O=>T_282, I0=>gl2Q, I2=>GATE_T_282_A, I1=>GATE_T_282_B );
  GATE_T_283_I_1:   INV port map ( I0=>g2Q, O=>GATE_T_283_A );
  GATE_T_283_I_2:   INV port map ( I0=>gFQ, O=>GATE_T_283_B );
  GATE_T_283_I_3:   AND3 port map ( O=>T_283, I0=>rFQ, I2=>GATE_T_283_A, I1=>GATE_T_283_B );
  GATE_T_284_I_14:   NOR4 port map ( O=>T_284, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_285_I_3:   AND4 port map ( O=>T_285, I3=>gl1Q, I2=>r2Q, I1=>GATE_T_285_B, I0=>GATE_T_285_A );
  GATE_T_285_I_2:   INV port map ( I0=>r1Q, O=>GATE_T_285_B );
  GATE_T_285_I_1:   INV port map ( I0=>g1Q, O=>GATE_T_285_A );
  GATE_T_286_I_1:   NOR4 port map ( I0=>g2Q, I1=>gl2Q, O=>T_286, I2=>gFQ, I3=>GATE_T_286_DN );
  GATE_T_286_I_2:   INV port map ( I0=>rFQ, O=>GATE_T_286_DN );
  GATE_T_287_I_14:   NOR4 port map ( O=>T_287, I3=>X1Q, I2=>X2Q, I1=>X3Q, I0=>X4Q );
  GATE_T_288_I_14:   NOR4 port map ( O=>T_288, I3=>r1Q, I2=>gl1Q, I1=>g1Q, I0=>r2Q );
  GATE_T_289_I_14:   NOR4 port map ( O=>T_289, I3=>gl2Q, I2=>g2Q, I1=>rFQ, I0=>gFQ );

end NetList;
